<?
//--------------------------------------------------------------------
//  JJ21 Calendar
//
//  - calendar.php / calendar.css
//
//  - parameters: $year, $month
//
//  - Usages
//      * http://your domain/calendar.php
//      * Calendar size can be adjusted by changing $cellh, $cellw
//      * Text size by editing calendar.css
//
//  - History
//      * Ver. 1.0/ 2000. 11. 15.
//
//  - Programmed by Sungpil Kim(spkim@dreamwiz.com)
//  
//  - Edit by previl(previl@hanmail.net)
//--------------------------------------------------------------------

$cellh  = 20;             // Height & Width of a cell
$cellw  = 22;
$tablew = $cellw*7;

//--------------------------------------------------------------------
//  ޽ ϰ Ѵܰ back
//--------------------------------------------------------------------
function ErrorMsg($msg)
{
  echo " <script>                ";
  echo "   window.alert('$msg'); ";
  echo "   history.go(-1);       ";
  echo " </script>               ";

  exit;
}

function SkipOffset($height, $width, $no)
{
  for ($i = 1; $i <= $no; $i++) {
    echo "  <TD height=$height width=$width class=date><p>&nbsp;</p></TD> \n";
  }
}

//----  ¥
$thisyear  = date('Y');  // 2000
$thismonth = date('n');  // 1, 2, 3, ..., 12
$today     = date('j');  // 1, 2, 3, ..., 31

//------ $year, $month    ¥
if (!$year) {
  $year = $thisyear;
}

if (!$month) {
  $month = $thismonth;
}
if (!$day) {
  $day = $today;
}
//------ ¥  üũ
if ( ($year > 9999) or ($year < 0) ){
  ErrorMsg(" 0~9999⸸ մϴ.");
}

if ( ($month > 12) or ($month < 0) ){
  ErrorMsg(" 1~12 մϴ.");
}
// ̴   
  $lastdate=01;
  while (checkdate($month,$lastdate,$year)): 
    $lastdate++;  
  endwhile;
  $lastday=$lastdate - 1;
if ($day>$lastday){
   ErrorMsg("$month   $lastday   Դϴ.");
}

$maxdate = date(t, mktime(0, 0, 0, $month, 1, $year));   // the final date of $month

$prevmonth = $month - 1;
$nextmonth = $month + 1;
$prevyear = $year;
$nextyear = $year;
if ($month == 1) {
  $prevmonth = 12;
  $prevyear = $year - 1;
} elseif ($month == 12) {
  $nextmonth = 1;
  $nextyear = $year + 1;
}

// Style  ȵ
echo("
<HTML>
<HEAD>
<TITLE>$month  ޷</TITLE>
<link rel=stylesheet href=./calendar.css type=text/css>
</HEAD>

<BODY>

<DIV align=center>
<TABLE cellSpacing=0 cellPadding=0 width=$tablew  border=0 bgcolor='#E8E8E8'>
<TR>
  <!--  ǥ  ̵ -->
  <TD width=100% colspan=7 class=title>
    <P class=title>
    <a href=$PHP_SELF?no=$no&year=$prevyear&month=$prevmonth&day=1 onfocus='this.blur()'><span class=smalltext><<&nbsp;</span></a>
    $year  $month 
    <a href=$PHP_SELF?no=$no&year=$nextyear&month=$nextmonth&day=1 onfocus='this.blur()'><span class=smalltext>&nbsp;>></span></a>
    </P>
  </TD>
  <!--  ǥ  ̵  -->
</TR>
<tr><td align=center width=100% height=1 colspan=7 bgcolor='gray'></td></tr>
<tr><td align=center width=100% height=2 colspan=7 ></td></tr>

<TR>
  <!--   -->
  <TD width=$cellw ><p class=day></p></TD>
  <TD width=$cellw ><p class=day></p></TD>
  <TD width=$cellw ><p class=day>ȭ</p></TD>
  <TD width=$cellw ><p class=day></p></TD>
  <TD width=$cellw ><p class=day></p></TD>
  <TD width=$cellw ><p class=day></p></TD>
  <TD width=$cellw ><p class=day></p></TD>
  <!--    -->
</TR>
");

echo("
<TR>
  <!-- ¥ ̺ -->
");

$date   = 1;
$offset = 0;

while ($date <= $maxdate) {
  if ( $date == $today  &&  $year == $thisyear &&  $month == $thismonth) {
    $cstyle = 'today';
  } else {
    $cstyle = 'date';
  }
 if ( $date == $day ) {
    $cstyle2 = 'today';
    } else {
    $cstyle2 = 'date';
 }
   if ($date == '1') {
    $offset = date('w', mktime(0, 0, 0, $month, $date, $year));  // 0: sunday, 1: monday, ..., 6: saturday
    SkipOffset($cellh, $cellw, $offset);
    echo "  <TD height=$cellh width=$cellw class=$cstyle><a href=$PHP_SELF?no=$no&year=$year&month=$month&day=$date onfocus='this.blur()'><p class=$cstyle2>$date</p></a></TD> \n";
  } else {
    echo "  <TD height=$cellh width=$cellw class=$cstyle><a href=$PHP_SELF?no=$no&year=$year&month=$month&day=$date onfocus='this.blur()'><p class=$cstyle2>$date</p></a></TD> \n";
  }

  $date++;
  $offset++;

  if ($offset == 7) {
    echo "</TR> \n";
    if ($date <= $maxdate) {
      echo "<TR> \n";
    }
    $offset = 0;
  }

} // end of while

if ($offset != 0) {
  SkipOffset($cellh, $cellw, (7-$offset));
  echo "</TR> \n";
}
?>

<tr><td align=center width=100% height=1 colspan=7 bgcolor='gray'></td></tr>
<tr><td align=center valign=middle height=20 colspan=7 >
<form method=post action=<?=$PHP_SELF?>>
<input type=hidden name=no value=<?=$no?>>
<input type=text name=year value=<?=$year?> size=4 maxlength=4 class=submit ><font class=day></font>
<input type=text name=month value=<?=$month?> size=2 maxlength=2 class=submit><font class=day></font>
<input type=text name=day value=<?=$day?> size=2 maxlength=2 class=submit><font class=day></font>
<input type=submit value="Go" class=submit onfocus='this.blur()' onmouseover="this.style.backgroundColor= ''"onmouseout="this.style.backgroundColor=''"></td>
</tr>

<?
echo("
<!-- ¥ ̺  -->

</TABLE>
</DIV>

</BODY>
</HTML>
")

?>